Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class UserAuthenticationData

    java.lang.Object
      org.apache.commons.vfs.UserAuthenticationData

public class UserAuthenticationData
extends Object

Container for various authentication data

Nested Class Summary
`static class` | `UserAuthenticationData.Type`

Field Summary
`static UserAuthenticationData.Type` | `DOMAIN`
`static UserAuthenticationData.Type` | `PASSWORD`
`static UserAuthenticationData.Type` | `USERNAME`

Constructor Summary
`UserAuthenticationData()`

Method Summary
`void` | `cleanup()` deleted all data stored within this authenticator
`char[]` | `getData(UserAuthenticationData.Type type)` get a data from the collection
`void` | `setData(UserAuthenticationData.Type type, char[] data)` set a data to this collection

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USERNAME

    public static final UserAuthenticationData.Type USERNAME

### PASSWORD

    public static final UserAuthenticationData.Type PASSWORD

### DOMAIN

    public static final UserAuthenticationData.Type DOMAIN

Constructor Detail

### UserAuthenticationData

    public UserAuthenticationData()

Method Detail

### setData

    public void setData(UserAuthenticationData.Type type,
                        char[] data)

  set a data to this collection

### getData

    public char[] getData(UserAuthenticationData.Type type)

  get a data from the collection

### cleanup

    public void cleanup()

  deleted all data stored within this authenticator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.